<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [getHashUpgradeLevel](./bitburner.hacknet.gethashupgradelevel.md)

## Hacknet.getHashUpgradeLevel() method

Get the level of a hash upgrade.

**Signature:**

```typescript
getHashUpgradeLevel(upgName: HacknetServerHashUpgrade): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  upgName | [HacknetServerHashUpgrade](./bitburner.hacknetserverhashupgrade.md) |  |

**Returns:**

number

Level of the upgrade.

## Remarks

RAM cost: 0 GB

This function is only applicable for Hacknet Servers (the upgraded version of a Hacknet Node).

